%global momorel 3

%define _use_internal_dependency_generator 0
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Summary:	XML-SAX Perl module
Name:		perl-XML-SAX
Version:	0.96
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-SAX/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 2:5.8.0
Requires:	%(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires:	%(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires:	%(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Requires:	perl(:MODULE_COMPAT_%(perl -MConfig -e 'print $Config{version}'))
##Source0: XML-SAX-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-module/XML/XML-SAX-%{version}.tar.gz 
NoSource:	0
Source1:	filter-requires-xmlsax.sh
BuildArch:	noarch
BuildRequires:	perl-XML-NamespaceSupport

# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE1}

%description
%{summary}.

%prep
%setup -q -n XML-SAX-%{version}
cp %{SOURCE1} .
chmod +x %{SOURCE1}

%build
echo N | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
PERL5LIB=$RPM_BUILD_ROOT%{perl_vendorlib} \
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
touch $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/ParserDetails.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
perl -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null

%preun
if [ $1 -eq 0 ]; then
  perl -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()'
fi

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/XML/SAX.pm
%dir %{perl_vendorlib}/XML/SAX
%{perl_vendorlib}/XML/SAX/*.pm
%{perl_vendorlib}/XML/SAX/*.pod
%{perl_vendorlib}/XML/SAX/PurePerl
%{_mandir}/man3/XML::*.3*
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%exclude %{perl_vendorlib}/XML/SAX/placeholder.pl

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.96-3m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.96-2m)
- do not need find-provides.perl

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.15-2m)
- use vendor

* Fri Feb  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Thu Jan  4 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.14-3m)
- fix for initial build.

* Sun May 21 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-2m)
- modify install dir

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.14-1m)
- update to 0.14

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.13-2m)
- built against perl-5.8.8

* Wed Feb  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13-1m)
- import from FC

* Mon Dec 19 2005 Jason Vas Dias <jvdias@redhat.com>
- upgrade to 0.13

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sun Apr 18 2004 Ville Skytta <ville.skytta at iki.fi> - 0.12-7
- #121167
- Handle ParserDetails.ini parser registration.
- Require perl(:MODULE_COMPAT_*).
- Own installed directories.

* Wed Oct 22 2003 Chip Turner <cturner@redhat.com> - 0.12-1
- Specfile autogenerated.

